{
  "accUserMode" : 2,
  "getCapPSLanguageRes" : {
    "defaultContent" : "图书",
    "lanResTag" : "DE.LNAME.IBIZBOOK",
    "lanResType" : "DE.LNAME",
    "mOSFilePath" : "pslanguageres/Auto395",
    "name" : "实体逻辑名称（DE.LNAME.*）[IBIZBOOK]",
    "rTMOSFilePath" : "pslanguageres/Auto395",
    "refFlag" : true
  },
  "caption" : "图书",
  "codeName" : "IBIZBOOKUsr4EditView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZBOOKUsr4EditView.json",
  "mOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKUsr4EditView",
  "name" : "IBIZBOOKUsr4EditView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Sample.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "EditView",
    "mOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKUsr4EditView/psappviewengines/engine",
    "name" : "engine",
    "getPSUIEngineParams" : [ {
      "ctrlName" : "form",
      "name" : "FORM",
      "paramType" : "CTRL"
    }, {
      "name" : "P2K",
      "paramType" : "VALUE",
      "value" : 0
    } ]
  } ],
  "getPSControls" : [ {
    "codeName" : "Usr4EditViewtoolbar",
    "controlType" : "TOOLBAR",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZBOOK/psdetoolbars/Usr4EditViewtoolbar",
    "name" : "toolbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
    },
    "getPSControlParam" : {
      "id" : "TOOLBAR"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKUsr4EditView/psappviewctrls/toolbar",
    "modelid" : "f0e584392d060bfef6ad4cec29f73d0d_toolbar",
    "modeltype" : "PSDETOOLBAR"
  }, {
    "codeName" : "Main_2",
    "controlType" : "FORM",
    "getCreatePSControlAction" : {
      "modelref" : true,
      "id" : "create"
    },
    "defaultLabelWidth" : 130,
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK/PSFORMS/Main_2.json",
    "getGetDraftFromPSControlAction" : {
      "modelref" : true,
      "id" : "loaddraftfrom"
    },
    "getGetDraftPSControlAction" : {
      "modelref" : true,
      "id" : "loaddraft"
    },
    "getGetPSControlAction" : {
      "modelref" : true,
      "id" : "load"
    },
    "hookEventNames" : [ "LOAD", "SAVE", "REMOVE" ],
    "logicName" : "嵌入卡片视图",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZBOOK/psdeform_editforms/Main_2",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionName" : "GetDraft",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "GetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        }
      }, {
        "actionName" : "GETDRAFTFROM",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraftfrom",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        }
      }, {
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        }
      }, {
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        }
      }, {
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        }
      }, {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        }
      } ],
      "enableDEFieldPrivilege" : false,
      "id" : "编辑表单处理器"
    },
    "getPSControlLogics" : [ {
      "eventNames" : "LOAD;SAVE;REMOVE",
      "logicTag" : "form",
      "logicType" : "APPVIEWENGINE",
      "name" : "engine_form",
      "getPSAppViewEngine" : {
        "modelref" : true,
        "id" : "engine"
      }
    } ],
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "FORM"
    },
    "getPSDEFormItems" : [ {
      "id" : "srfupdatedate",
      "hidden" : true,
      "dataType" : 5,
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      }
    }, {
      "id" : "srforikey",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfkey",
      "hidden" : true,
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "IBIZBOOKID",
        "codeName" : "IBIZBOOKId"
      }
    }, {
      "id" : "srfmajortext",
      "hidden" : true,
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "IBIZBOOKNAME",
        "codeName" : "IBIZBOOKName"
      }
    }, {
      "id" : "srftempmode",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfuf",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfdeid",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfsourcekey",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "ibizbookid",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "IBIZBOOKID",
        "codeName" : "IBIZBOOKId"
      }
    }, {
      "id" : "ibizbookname",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "IBIZBOOKNAME",
        "codeName" : "IBIZBOOKName"
      }
    }, {
      "id" : "author",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "AUTHOR",
        "codeName" : "Author"
      }
    }, {
      "id" : "press",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "PRESS",
        "codeName" : "Press"
      }
    }, {
      "id" : "price",
      "dataType" : 7,
      "getPSAppDEField" : {
        "name" : "PRICE",
        "codeName" : "Price"
      }
    }, {
      "id" : "type",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "TYPE",
        "codeName" : "Type"
      }
    }, {
      "id" : "booknumber",
      "dataType" : 9,
      "getPSAppDEField" : {
        "name" : "BOOKNUMBER",
        "codeName" : "Booknumber"
      }
    }, {
      "id" : "sailstate",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "SAILSTATE",
        "codeName" : "Sailstate"
      }
    }, {
      "id" : "lendouttime",
      "dataType" : 5,
      "getPSAppDEField" : {
        "name" : "LENDOUTTIME",
        "codeName" : "Lendouttime"
      }
    }, {
      "id" : "returntime",
      "dataType" : 5,
      "getPSAppDEField" : {
        "name" : "RETURNTIME",
        "codeName" : "Returntime"
      }
    }, {
      "id" : "tag",
      "dataType" : 21,
      "getPSAppDEField" : {
        "name" : "TAG",
        "codeName" : "Tag"
      }
    } ],
    "getPSDEFormPages" : [ {
      "getCapPSLanguageRes" : {
        "defaultContent" : "基本信息",
        "lanResTag" : "CONTROL.DEFORM.IBIZBOOK.MAIN.FORMPAGE.FORMPAGE1",
        "lanResType" : "CONTROL",
        "mOSFilePath" : "pslanguageres/Auto1918",
        "name" : "控件文本（CONTROL.*）[DEFORM.IBIZBOOK.MAIN.FORMPAGE.FORMPAGE1]",
        "rTMOSFilePath" : "pslanguageres/Auto1918",
        "refFlag" : true
      },
      "caption" : "基本信息",
      "codeName" : "formpage1",
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMPAGE",
      "mOSFilePath" : "psdeformdetail_formpages/formpage1",
      "name" : "formpage1",
      "getPSDEFormDetails" : [ {
        "actionGroupExtractMode" : "ITEM",
        "getCapPSLanguageRes" : {
          "defaultContent" : "图书基本信息",
          "lanResTag" : "CONTROL.DEFORM.IBIZBOOK.MAIN.GROUPPANEL.GROUP1",
          "lanResType" : "CONTROL",
          "mOSFilePath" : "pslanguageres/Auto1843",
          "name" : "控件文本（CONTROL.*）[DEFORM.IBIZBOOK.MAIN.GROUPPANEL.GROUP1]",
          "rTMOSFilePath" : "pslanguageres/Auto1843",
          "refFlag" : true
        },
        "caption" : "图书基本信息",
        "codeName" : "group1",
        "detailStyle" : "DEFAULT",
        "detailType" : "GROUPPANEL",
        "mOSFilePath" : "psdeformdetail_grouppanels/group1",
        "name" : "group1",
        "getPSDEFormDetails" : [ {
          "getCapPSLanguageRes" : {
            "defaultContent" : "图书标识",
            "lanResTag" : "DEF.LNAME.IBIZBOOKID",
            "lanResType" : "DEF.LNAME",
            "mOSFilePath" : "pslanguageres/Auto1841",
            "name" : "属性逻辑名称（DEF.LNAME.*）[IBIZBOOKID]",
            "rTMOSFilePath" : "pslanguageres/Auto1841",
            "refFlag" : true
          },
          "caption" : "图书标识",
          "codeName" : "ibizbookid",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/ibizbookid",
          "name" : "ibizbookid",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "IBIZBOOKID",
            "codeName" : "IBIZBOOKId"
          },
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "maxLength" : 100,
            "name" : "ibizbookid"
          },
          "getPSLayoutPos" : {
            "colLG" : 8,
            "colMD" : 8,
            "colSM" : 8,
            "colXS" : 8,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/ibizbookid",
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "defaultContent" : "图书名称",
            "lanResTag" : "DEF.LNAME.IBIZBOOKNAME",
            "lanResType" : "DEF.LNAME",
            "mOSFilePath" : "pslanguageres/Auto1983",
            "name" : "属性逻辑名称（DEF.LNAME.*）[IBIZBOOKNAME]",
            "rTMOSFilePath" : "pslanguageres/Auto1983",
            "refFlag" : true
          },
          "caption" : "图书名称",
          "codeName" : "ibizbookname",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/ibizbookname",
          "name" : "ibizbookname",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "IBIZBOOKNAME",
            "codeName" : "IBIZBOOKName"
          },
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "maxLength" : 200,
            "name" : "ibizbookname"
          },
          "getPSLayoutPos" : {
            "colLG" : 8,
            "colMD" : 8,
            "colSM" : 8,
            "colXS" : 8,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/ibizbookname",
          "allowEmpty" : false,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "defaultContent" : "图书作者",
            "lanResTag" : "DEF.LNAME.AUTHOR",
            "lanResType" : "DEF.LNAME",
            "mOSFilePath" : "pslanguageres/Auto2038",
            "name" : "属性逻辑名称（DEF.LNAME.*）[AUTHOR]",
            "rTMOSFilePath" : "pslanguageres/Auto2038",
            "refFlag" : true
          },
          "caption" : "图书作者",
          "codeName" : "author",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/author",
          "name" : "author",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "AUTHOR",
            "codeName" : "Author"
          },
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "maxLength" : 100,
            "name" : "author"
          },
          "getPSLayoutPos" : {
            "colLG" : 8,
            "colMD" : 8,
            "colSM" : 8,
            "colXS" : 8,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/author",
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "defaultContent" : "图书出版社",
            "lanResTag" : "DEF.LNAME.PRESS",
            "lanResType" : "DEF.LNAME",
            "mOSFilePath" : "pslanguageres/Auto1827",
            "name" : "属性逻辑名称（DEF.LNAME.*）[PRESS]",
            "rTMOSFilePath" : "pslanguageres/Auto1827",
            "refFlag" : true
          },
          "caption" : "图书出版社",
          "codeName" : "press",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/press",
          "name" : "press",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "PRESS",
            "codeName" : "Press"
          },
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "maxLength" : 100,
            "name" : "press"
          },
          "getPSLayoutPos" : {
            "colLG" : 8,
            "colMD" : 8,
            "colSM" : 8,
            "colXS" : 8,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/press",
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "defaultContent" : "图书价格",
            "lanResTag" : "DEF.LNAME.PRICE",
            "lanResType" : "DEF.LNAME",
            "mOSFilePath" : "pslanguageres/Auto1925",
            "name" : "属性逻辑名称（DEF.LNAME.*）[PRICE]",
            "rTMOSFilePath" : "pslanguageres/Auto1925",
            "refFlag" : true
          },
          "caption" : "图书价格",
          "codeName" : "price",
          "dataType" : 7,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/price",
          "name" : "price",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "PRICE",
            "codeName" : "Price"
          },
          "getPSEditor" : {
            "editorType" : "NUMBER",
            "name" : "price",
            "precision" : 2
          },
          "getPSLayoutPos" : {
            "colLG" : 8,
            "colMD" : 8,
            "colSM" : 8,
            "colXS" : 8,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/price",
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "defaultContent" : "图书类型",
            "lanResTag" : "DEF.LNAME.TYPE",
            "lanResType" : "DEF.LNAME",
            "mOSFilePath" : "pslanguageres/Auto2088",
            "name" : "属性逻辑名称（DEF.LNAME.*）[TYPE]",
            "rTMOSFilePath" : "pslanguageres/Auto2088",
            "refFlag" : true
          },
          "caption" : "图书类型",
          "codeName" : "type",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/type",
          "name" : "type",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "TYPE",
            "codeName" : "Type"
          },
          "getPSEditor" : {
            "editorType" : "DROPDOWNLIST",
            "name" : "type",
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/BookType.json"
            },
            "singleSelect" : true
          },
          "getPSLayoutPos" : {
            "colLG" : 8,
            "colMD" : 8,
            "colSM" : 8,
            "colXS" : 8,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/type",
          "allowEmpty" : true,
          "needCodeListConfig" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "defaultContent" : "图书数量",
            "lanResTag" : "DEF.LNAME.BOOKNUMBER",
            "lanResType" : "DEF.LNAME",
            "mOSFilePath" : "pslanguageres/Auto2067",
            "name" : "属性逻辑名称（DEF.LNAME.*）[BOOKNUMBER]",
            "rTMOSFilePath" : "pslanguageres/Auto2067",
            "refFlag" : true
          },
          "caption" : "图书数量",
          "codeName" : "booknumber",
          "dataType" : 9,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/booknumber",
          "name" : "booknumber",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "BOOKNUMBER",
            "codeName" : "Booknumber"
          },
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "name" : "booknumber"
          },
          "getPSLayoutPos" : {
            "colLG" : 8,
            "colMD" : 8,
            "colSM" : 8,
            "colXS" : 8,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/booknumber",
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "defaultContent" : "图书销售状态",
            "lanResTag" : "DEF.LNAME.SAILSTATE",
            "lanResType" : "DEF.LNAME",
            "mOSFilePath" : "pslanguageres/Auto1848",
            "name" : "属性逻辑名称（DEF.LNAME.*）[SAILSTATE]",
            "rTMOSFilePath" : "pslanguageres/Auto1848",
            "refFlag" : true
          },
          "caption" : "图书销售状态",
          "codeName" : "sailstate",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/sailstate",
          "name" : "sailstate",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "SAILSTATE",
            "codeName" : "Sailstate"
          },
          "getPSEditor" : {
            "editorType" : "DROPDOWNLIST",
            "name" : "sailstate",
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/BookSailState.json"
            },
            "singleSelect" : true
          },
          "getPSLayoutPos" : {
            "colLG" : 8,
            "colMD" : 8,
            "colSM" : 8,
            "colXS" : 8,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/sailstate",
          "allowEmpty" : true,
          "needCodeListConfig" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "defaultContent" : "借出日期",
            "lanResTag" : "DEF.LNAME.LENDOUTTIME",
            "lanResType" : "DEF.LNAME",
            "mOSFilePath" : "pslanguageres/Auto2028",
            "name" : "属性逻辑名称（DEF.LNAME.*）[LENDOUTTIME]",
            "rTMOSFilePath" : "pslanguageres/Auto2028",
            "refFlag" : true
          },
          "caption" : "借出日期",
          "codeName" : "lendouttime",
          "dataType" : 5,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "itemWidth" : 230.0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/lendouttime",
          "name" : "lendouttime",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "LENDOUTTIME",
            "codeName" : "Lendouttime"
          },
          "getPSEditor" : {
            "dateTimeFormat" : "YYYY-MM-DD",
            "editorParams" : {
              "TIMEFMT" : "YYYY-MM-DD"
            },
            "editorType" : "DATEPICKEREX_NOTIME",
            "editorWidth" : 100.0,
            "name" : "lendouttime"
          },
          "getPSLayoutPos" : {
            "colLG" : 8,
            "colMD" : 8,
            "colSM" : 8,
            "colXS" : 8,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/lendouttime",
          "valueFormat" : "YYYY-MM-DD",
          "allowEmpty" : false,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "defaultContent" : "归还日期",
            "lanResTag" : "DEF.LNAME.RETURNTIME",
            "lanResType" : "DEF.LNAME",
            "mOSFilePath" : "pslanguageres/Auto1979",
            "name" : "属性逻辑名称（DEF.LNAME.*）[RETURNTIME]",
            "rTMOSFilePath" : "pslanguageres/Auto1979",
            "refFlag" : true
          },
          "caption" : "归还日期",
          "codeName" : "returntime",
          "dataType" : 5,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "itemWidth" : 230.0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/returntime",
          "name" : "returntime",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "RETURNTIME",
            "codeName" : "Returntime"
          },
          "getPSEditor" : {
            "dateTimeFormat" : "YYYY-MM-DD",
            "editorParams" : {
              "TIMEFMT" : "YYYY-MM-DD"
            },
            "editorType" : "DATEPICKEREX_NOTIME",
            "editorWidth" : 100.0,
            "name" : "returntime"
          },
          "getPSLayoutPos" : {
            "colLG" : 8,
            "colMD" : 8,
            "colSM" : 8,
            "colXS" : 8,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/returntime",
          "valueFormat" : "YYYY-MM-DD",
          "allowEmpty" : false,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "defaultContent" : "标签",
            "lanResTag" : "DEF.LNAME.TAG",
            "lanResType" : "DEF.LNAME",
            "mOSFilePath" : "pslanguageres/Auto2141",
            "name" : "属性逻辑名称（DEF.LNAME.*）[TAG]",
            "rTMOSFilePath" : "pslanguageres/Auto2141",
            "refFlag" : true
          },
          "caption" : "标签",
          "codeName" : "tag",
          "dataType" : 21,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/tag",
          "name" : "tag",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "TAG",
            "codeName" : "Tag"
          },
          "getPSEditor" : {
            "editorType" : "MDROPDOWNLIST",
            "name" : "tag",
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/Booktag.json"
            },
            "singleSelect" : false
          },
          "getPSLayoutPos" : {
            "colLG" : 8,
            "colMD" : 8,
            "colSM" : 8,
            "colXS" : 8,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/tag",
          "allowEmpty" : true,
          "needCodeListConfig" : true,
          "showCaption" : true
        }, {
          "codeName" : "druipart1",
          "detailStyle" : "DEFAULT",
          "detailType" : "DRUIPART",
          "mOSFilePath" : "psdeformdetail_druiparts/druipart1",
          "name" : "druipart1",
          "getPSAppView" : {
            "accUserMode" : 2,
            "getCapPSLanguageRes" : {
              "defaultContent" : "图书",
              "lanResTag" : "DE.LNAME.IBIZBOOK",
              "lanResType" : "DE.LNAME",
              "mOSFilePath" : "pslanguageres/Auto395",
              "name" : "实体逻辑名称（DE.LNAME.*）[IBIZBOOK]",
              "rTMOSFilePath" : "pslanguageres/Auto395",
              "refFlag" : true
            },
            "caption" : "图书",
            "codeName" : "IBIZBOOKDataViewExpView",
            "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZBOOKDataViewExpView.json",
            "mOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKDataViewExpView",
            "name" : "IBIZBOOKDataViewExpView",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
            },
            "getPSAppModule" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPMODULES/Sample.json"
            },
            "getPSAppViewEngines" : [ {
              "engineCat" : "VIEW",
              "engineType" : "DataViewExpView",
              "mOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKDataViewExpView/psappviewengines/engine",
              "name" : "engine",
              "getPSUIEngineParams" : [ {
                "ctrlName" : "dataviewexpbar",
                "name" : "DATAVIEWEXPBAR",
                "paramType" : "CTRL"
              } ]
            } ],
            "getPSAppViewLogics" : [ {
              "logicTrigger" : "CUSTOM",
              "logicType" : "SYSUILOGIC",
              "name" : "newdata",
              "getPSAppUILogic" : {
                "actionAfterWizard" : "DEFAULT",
                "logicType" : "PREDEFINED",
                "name" : "新建数据",
                "viewLogicType" : "APP_NEWDATA",
                "batchAddOnly" : false,
                "enableBatchAdd" : false,
                "enableWizardAdd" : false
              }
            }, {
              "logicTrigger" : "CUSTOM",
              "logicType" : "SYSUILOGIC",
              "name" : "opendata",
              "getPSAppUILogic" : {
                "logicType" : "PREDEFINED",
                "name" : "打开数据",
                "viewLogicType" : "APP_OPENDATA",
                "editMode" : true
              }
            } ],
            "getPSControls" : [ {
              "codeName" : "DataViewExpViewdataviewexpbar",
              "controlType" : "DATAVIEWEXPBAR",
              "hookEventNames" : [ "SELECTIONCHANGE", "LOAD", "ACTIVATED" ],
              "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZBOOK/psexpbars/DataViewExpViewdataviewexpbar",
              "name" : "dataviewexpbar",
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
              },
              "getPSControlHandler" : {
                "enableDEFieldPrivilege" : false,
                "id" : "dataviewexpbar"
              },
              "getPSControlLogics" : [ {
                "eventNames" : "SELECTIONCHANGE;LOAD;ACTIVATED",
                "logicTag" : "dataviewexpbar",
                "logicType" : "APPVIEWENGINE",
                "name" : "engine_dataviewexpbar",
                "getPSAppViewEngine" : {
                  "modelref" : true,
                  "id" : "engine"
                }
              } ],
              "getPSControlParam" : {
                "autoLoad" : true,
                "showBusyIndicator" : true,
                "id" : "DATAVIEWEXPBAR"
              },
              "getPSControls" : [ {
                "codeName" : "Usr2",
                "controlType" : "DATAVIEW",
                "getCreatePSControlAction" : {
                  "modelref" : true,
                  "id" : "create"
                },
                "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK/PSDATAVIEWS/Usr2.json",
                "getFetchPSControlAction" : {
                  "modelref" : true,
                  "id" : "fetch"
                },
                "getGetPSControlAction" : {
                  "modelref" : true,
                  "id" : "load"
                },
                "groupLayout" : "ROW",
                "groupMode" : "AUTO",
                "getGroupPSAppDEField" : {
                  "name" : "AUTHOR",
                  "codeName" : "Author"
                },
                "hookEventNames" : [ "SELECTIONCHANGE", "LOAD" ],
                "logicName" : "数据视图（自动分组）",
                "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZBOOK/psdedataviews/Usr2",
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
                },
                "getPSAppViewLogics" : [ {
                  "eventArg" : "deuiaction1",
                  "eventNames" : "CLICK",
                  "logicTrigger" : "CTRLEVENT",
                  "logicType" : "APPVIEWUIACTION",
                  "name" : "dataviewexpbar_dataview_batchtoolbar_deuiaction1_click",
                  "getPSAppViewUIAction" : {
                    "modelref" : true,
                    "id" : "dataviewexpbar_dataview_batchtoolbar_deuiaction1"
                  },
                  "getPSViewCtrlName" : "dataviewexpbar_dataview_batchtoolbar"
                }, {
                  "eventArg" : "deuiaction2",
                  "eventNames" : "CLICK",
                  "logicTrigger" : "CTRLEVENT",
                  "logicType" : "APPVIEWUIACTION",
                  "name" : "dataviewexpbar_dataview_batchtoolbar_deuiaction2_click",
                  "getPSAppViewUIAction" : {
                    "modelref" : true,
                    "id" : "dataviewexpbar_dataview_batchtoolbar_deuiaction2"
                  },
                  "getPSViewCtrlName" : "dataviewexpbar_dataview_batchtoolbar"
                }, {
                  "logicTrigger" : "CUSTOM",
                  "logicType" : "APPVIEWUIACTION",
                  "name" : "dataviewexpbar_dataview_memo1_u37f11a8_click",
                  "getPSAppViewUIAction" : {
                    "modelref" : true,
                    "id" : "表格界面_编辑操作"
                  }
                }, {
                  "logicTrigger" : "CUSTOM",
                  "logicType" : "APPVIEWUIACTION",
                  "name" : "dataviewexpbar_dataview_memo1_uc365542_click",
                  "getPSAppViewUIAction" : {
                    "modelref" : true,
                    "id" : "表格界面_删除操作"
                  }
                } ],
                "getPSAppViewUIActions" : [ {
                  "name" : "dataviewexpbar_dataview_batchtoolbar_deuiaction1",
                  "getPSUIAction" : {
                    "modelref" : true,
                    "id" : "Edit"
                  },
                  "uIActionTarget" : "SINGLEKEY",
                  "xDataControlName" : "dataviewexpbar_dataview"
                }, {
                  "name" : "dataviewexpbar_dataview_batchtoolbar_deuiaction2",
                  "getPSUIAction" : {
                    "modelref" : true,
                    "id" : "Remove"
                  },
                  "uIActionTarget" : "MULTIKEY",
                  "xDataControlName" : "dataviewexpbar_dataview"
                }, {
                  "name" : "表格界面_编辑操作",
                  "getPSUIAction" : {
                    "modelref" : true,
                    "id" : "Edit"
                  },
                  "uIActionTarget" : "SINGLEKEY",
                  "xDataControlName" : "dataviewexpbar_dataview"
                }, {
                  "name" : "表格界面_删除操作",
                  "getPSUIAction" : {
                    "modelref" : true,
                    "id" : "Remove"
                  },
                  "uIActionTarget" : "MULTIKEY",
                  "xDataControlName" : "dataviewexpbar_dataview"
                } ],
                "getPSControlHandler" : {
                  "getPSHandlerActions" : [ {
                    "actionName" : "Get",
                    "actionType" : "DEACTION",
                    "dataAccessAction" : "READ",
                    "name" : "load",
                    "getPSAppDEMethod" : {
                      "modelref" : true,
                      "id" : "Get"
                    },
                    "getPSAppDataEntity" : {
                      "modelref" : true,
                      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
                    }
                  }, {
                    "actionName" : "Create",
                    "actionType" : "DEACTION",
                    "dataAccessAction" : "CREATE",
                    "name" : "create",
                    "getPSAppDEMethod" : {
                      "modelref" : true,
                      "id" : "Create"
                    },
                    "getPSAppDataEntity" : {
                      "modelref" : true,
                      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
                    }
                  }, {
                    "actionName" : "Update",
                    "actionType" : "DEACTION",
                    "dataAccessAction" : "UPDATE",
                    "name" : "update",
                    "getPSAppDEMethod" : {
                      "modelref" : true,
                      "id" : "Update"
                    },
                    "getPSAppDataEntity" : {
                      "modelref" : true,
                      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
                    }
                  }, {
                    "actionName" : "Remove",
                    "actionType" : "DEACTION",
                    "dataAccessAction" : "DELETE",
                    "name" : "remove",
                    "getPSAppDEMethod" : {
                      "modelref" : true,
                      "id" : "Remove"
                    },
                    "getPSAppDataEntity" : {
                      "modelref" : true,
                      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
                    }
                  }, {
                    "actionType" : "DEDATASET",
                    "name" : "fetch",
                    "getPSAppDEMethod" : {
                      "modelref" : true,
                      "id" : "FetchDefault"
                    },
                    "getPSAppDataEntity" : {
                      "modelref" : true,
                      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
                    }
                  } ],
                  "userDRAction" : "READ",
                  "enableDEFieldPrivilege" : false,
                  "id" : "数据视图处理器"
                },
                "getPSControlLogics" : [ {
                  "eventNames" : "SELECTIONCHANGE",
                  "logicTag" : "dataviewexpbar_dataview",
                  "logicType" : "CUSTOM",
                  "name" : "dataviewexpbar_selectionchange"
                }, {
                  "eventNames" : "LOAD",
                  "logicTag" : "dataviewexpbar_dataview",
                  "logicType" : "CUSTOM",
                  "name" : "dataviewexpbar_load"
                } ],
                "getPSControlParam" : {
                  "autoLoad" : true,
                  "showBusyIndicator" : true,
                  "id" : "dataviewexpbar_dataview"
                },
                "getPSControls" : [ {
                  "codeName" : "DataViewExpViewdataviewexpbar_dataview_batchtoolbar",
                  "controlType" : "TOOLBAR",
                  "hookEventNames" : [ "CLICK" ],
                  "logicName" : "数据视图-批操作工具栏",
                  "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZBOOK/psdetoolbars/DataViewExpViewdataviewexpbar_dataview_batchtoolbar",
                  "name" : "dataviewexpbar_dataview_batchtoolbar",
                  "getPSAppDataEntity" : {
                    "modelref" : true,
                    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
                  },
                  "getPSControlLogics" : [ {
                    "eventArg" : "deuiaction1",
                    "eventNames" : "CLICK",
                    "logicTag" : "dataviewexpbar_dataview_batchtoolbar",
                    "logicType" : "APPVIEWLOGIC",
                    "name" : "dataviewexpbar_dataview_batchtoolbar_deuiaction1_click",
                    "getPSAppViewLogic" : {
                      "modelref" : true,
                      "id" : "dataviewexpbar_dataview_batchtoolbar_deuiaction1_click"
                    }
                  }, {
                    "eventArg" : "deuiaction2",
                    "eventNames" : "CLICK",
                    "logicTag" : "dataviewexpbar_dataview_batchtoolbar",
                    "logicType" : "APPVIEWLOGIC",
                    "name" : "dataviewexpbar_dataview_batchtoolbar_deuiaction2_click",
                    "getPSAppViewLogic" : {
                      "modelref" : true,
                      "id" : "dataviewexpbar_dataview_batchtoolbar_deuiaction2_click"
                    }
                  } ],
                  "getPSControlParam" : {
                    "id" : "dataviewexpbar_dataview_batchtoolbar"
                  },
                  "getPSDEToolbarItems" : [ {
                    "getCapPSLanguageRes" : {
                      "defaultContent" : "编辑",
                      "lanResTag" : "TBB.TEXT.*.EDIT",
                      "lanResType" : "TBB.TEXT",
                      "mOSFilePath" : "pslanguageres/Auto1585",
                      "name" : "工具栏按钮文本[*.EDIT]",
                      "rTMOSFilePath" : "pslanguageres/Auto1585",
                      "refFlag" : true
                    },
                    "caption" : "编辑",
                    "groupExtractMode" : "ITEM",
                    "itemType" : "DEUIACTION",
                    "name" : "deuiaction1",
                    "noPrivDisplayMode" : 2,
                    "getPSAppViewUIAction" : {
                      "modelref" : true,
                      "id" : "dataviewexpbar_dataview_batchtoolbar_deuiaction1"
                    },
                    "getPSSysImage" : {
                      "glyph" : "xf044@FontAwesome",
                      "cssClass" : "fa fa-edit"
                    },
                    "getPSUIAction" : {
                      "actionTarget" : "SINGLEKEY",
                      "getCapPSLanguageRes" : {
                        "defaultContent" : "编辑",
                        "lanResTag" : "TBB.TEXT.*.EDIT",
                        "lanResType" : "TBB.TEXT",
                        "mOSFilePath" : "pslanguageres/Auto1585",
                        "name" : "工具栏按钮文本[*.EDIT]",
                        "rTMOSFilePath" : "pslanguageres/Auto1585",
                        "refFlag" : true
                      },
                      "caption" : "编辑",
                      "codeName" : "Edit",
                      "fullCodeName" : "Edit",
                      "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Edit",
                      "name" : "表格界面_编辑操作",
                      "getPSSysImage" : {
                        "glyph" : "xf044@FontAwesome",
                        "cssClass" : "fa fa-edit"
                      },
                      "predefinedType" : "GRIDVIEW_EDITACTION",
                      "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Edit",
                      "timeout" : 60000,
                      "getTooltipPSLanguageRes" : {
                        "defaultContent" : "编辑",
                        "lanResTag" : "TBB.TOOLTIP.*.EDIT",
                        "lanResType" : "TBB.TOOLTIP",
                        "mOSFilePath" : "pslanguageres/Auto834",
                        "name" : "工具栏按钮提示[*.EDIT]",
                        "rTMOSFilePath" : "pslanguageres/Auto834",
                        "refFlag" : true
                      },
                      "uIActionMode" : "SYS",
                      "uIActionTag" : "Edit",
                      "uIActionType" : "DEUIACTION"
                    },
                    "tooltip" : "编辑",
                    "getTooltipPSLanguageRes" : {
                      "defaultContent" : "编辑",
                      "lanResTag" : "TBB.TOOLTIP.*.EDIT",
                      "lanResType" : "TBB.TOOLTIP",
                      "mOSFilePath" : "pslanguageres/Auto834",
                      "name" : "工具栏按钮提示[*.EDIT]",
                      "rTMOSFilePath" : "pslanguageres/Auto834",
                      "refFlag" : true
                    },
                    "showCaption" : true,
                    "showIcon" : true
                  }, {
                    "getCapPSLanguageRes" : {
                      "defaultContent" : "删除",
                      "lanResTag" : "TBB.TEXT.*.REMOVE",
                      "lanResType" : "TBB.TEXT",
                      "mOSFilePath" : "pslanguageres/Auto998",
                      "name" : "工具栏按钮文本[*.REMOVE]",
                      "rTMOSFilePath" : "pslanguageres/Auto998",
                      "refFlag" : true
                    },
                    "caption" : "删除",
                    "groupExtractMode" : "ITEM",
                    "itemType" : "DEUIACTION",
                    "name" : "deuiaction2",
                    "noPrivDisplayMode" : 2,
                    "getPSAppViewUIAction" : {
                      "modelref" : true,
                      "id" : "dataviewexpbar_dataview_batchtoolbar_deuiaction2"
                    },
                    "getPSSysImage" : {
                      "glyph" : "xf00d@FontAwesome",
                      "cssClass" : "fa fa-remove"
                    },
                    "getPSUIAction" : {
                      "actionTarget" : "MULTIKEY",
                      "getCapPSLanguageRes" : {
                        "defaultContent" : "删除",
                        "lanResTag" : "TBB.TEXT.*.REMOVE",
                        "lanResType" : "TBB.TEXT",
                        "mOSFilePath" : "pslanguageres/Auto998",
                        "name" : "工具栏按钮文本[*.REMOVE]",
                        "rTMOSFilePath" : "pslanguageres/Auto998",
                        "refFlag" : true
                      },
                      "caption" : "删除",
                      "codeName" : "Remove",
                      "fullCodeName" : "Remove",
                      "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Remove",
                      "name" : "表格界面_删除操作",
                      "getPSSysImage" : {
                        "glyph" : "xf00d@FontAwesome",
                        "cssClass" : "fa fa-remove"
                      },
                      "predefinedType" : "GRIDVIEW_REMOVEACTION",
                      "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Remove",
                      "timeout" : 60000,
                      "getTooltipPSLanguageRes" : {
                        "defaultContent" : "删除",
                        "lanResTag" : "TBB.TOOLTIP.*.REMOVE",
                        "lanResType" : "TBB.TOOLTIP",
                        "mOSFilePath" : "pslanguageres/Auto1782",
                        "name" : "工具栏按钮提示[*.REMOVE]",
                        "rTMOSFilePath" : "pslanguageres/Auto1782",
                        "refFlag" : true
                      },
                      "uIActionMode" : "SYS",
                      "uIActionTag" : "Remove",
                      "uIActionType" : "DEUIACTION"
                    },
                    "tooltip" : "删除",
                    "getTooltipPSLanguageRes" : {
                      "defaultContent" : "删除",
                      "lanResTag" : "TBB.TOOLTIP.*.REMOVE",
                      "lanResType" : "TBB.TOOLTIP",
                      "mOSFilePath" : "pslanguageres/Auto1782",
                      "name" : "工具栏按钮提示[*.REMOVE]",
                      "rTMOSFilePath" : "pslanguageres/Auto1782",
                      "refFlag" : true
                    },
                    "showCaption" : true,
                    "showIcon" : true
                  } ],
                  "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKDataViewExpView/psappviewctrls/dataviewexpbar_dataview_batchtoolbar",
                  "modelid" : "68f75dd28b954367cb9b71516d82406e",
                  "modeltype" : "PSDETOOLBAR"
                } ],
                "getPSDEDataImport" : {
                  "modelref" : true,
                  "id" : "DataImport"
                },
                "getPSDEDataViewDataItems" : [ {
                  "dataType" : 25,
                  "name" : "ibizbookid"
                }, {
                  "dataType" : 25,
                  "name" : "author",
                  "getPSAppDEField" : {
                    "name" : "AUTHOR",
                    "codeName" : "Author"
                  }
                }, {
                  "dataType" : 25,
                  "name" : "srfkey",
                  "getPSAppDEField" : {
                    "name" : "IBIZBOOKID",
                    "codeName" : "IBIZBOOKId"
                  }
                }, {
                  "dataType" : 25,
                  "name" : "srfmajortext",
                  "getPSAppDEField" : {
                    "name" : "IBIZBOOKNAME",
                    "codeName" : "IBIZBOOKName"
                  }
                }, {
                  "dataType" : 25,
                  "name" : "srfmstag"
                } ],
                "getPSDEDataViewItems" : [ {
                  "getCapPSLanguageRes" : {
                    "defaultContent" : "图书标识",
                    "lanResTag" : "DEF.LNAME.IBIZBOOKID",
                    "lanResType" : "DEF.LNAME",
                    "mOSFilePath" : "pslanguageres/Auto1841",
                    "name" : "属性逻辑名称（DEF.LNAME.*）[IBIZBOOKID]",
                    "rTMOSFilePath" : "pslanguageres/Auto1841",
                    "refFlag" : true
                  },
                  "caption" : "图书标识",
                  "dataItemName" : "ibizbookid",
                  "itemType" : "DATAITEM",
                  "name" : "IBIZBOOKID",
                  "getPSAppDEField" : {
                    "name" : "IBIZBOOKID",
                    "codeName" : "IBIZBOOKId"
                  },
                  "enableSort" : true
                }, {
                  "getCapPSLanguageRes" : {
                    "defaultContent" : "图书作者",
                    "lanResTag" : "DEF.LNAME.AUTHOR",
                    "lanResType" : "DEF.LNAME",
                    "mOSFilePath" : "pslanguageres/Auto2038",
                    "name" : "属性逻辑名称（DEF.LNAME.*）[AUTHOR]",
                    "rTMOSFilePath" : "pslanguageres/Auto2038",
                    "refFlag" : true
                  },
                  "caption" : "图书作者",
                  "dataItemName" : "author",
                  "itemType" : "DATAITEM",
                  "name" : "AUTHOR",
                  "getPSAppDEField" : {
                    "name" : "AUTHOR",
                    "codeName" : "Author"
                  },
                  "enableSort" : true
                }, {
                  "dataItemName" : "memo1",
                  "itemType" : "ACTIONITEM",
                  "name" : "memo1",
                  "getPSDEUIActionGroup" : {
                    "codeName" : "mdCtrlAction",
                    "mOSFilePath" : "pssysapps/Web/pssysappdeuagroups/mdCtrlAction",
                    "name" : "多数据部件操作列",
                    "getPSUIActionGroupDetails" : [ {
                      "detailType" : "DEUIACTION",
                      "name" : "u37f11a8",
                      "getPSUIAction" : {
                        "actionTarget" : "SINGLEKEY",
                        "getCapPSLanguageRes" : {
                          "defaultContent" : "编辑",
                          "lanResTag" : "TBB.TEXT.*.EDIT",
                          "lanResType" : "TBB.TEXT",
                          "mOSFilePath" : "pslanguageres/Auto1585",
                          "name" : "工具栏按钮文本[*.EDIT]",
                          "rTMOSFilePath" : "pslanguageres/Auto1585",
                          "refFlag" : true
                        },
                        "caption" : "编辑",
                        "codeName" : "Edit",
                        "fullCodeName" : "Edit",
                        "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Edit",
                        "name" : "表格界面_编辑操作",
                        "getPSSysImage" : {
                          "glyph" : "xf044@FontAwesome",
                          "cssClass" : "fa fa-edit"
                        },
                        "predefinedType" : "GRIDVIEW_EDITACTION",
                        "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Edit",
                        "timeout" : 60000,
                        "getTooltipPSLanguageRes" : {
                          "defaultContent" : "编辑",
                          "lanResTag" : "TBB.TOOLTIP.*.EDIT",
                          "lanResType" : "TBB.TOOLTIP",
                          "mOSFilePath" : "pslanguageres/Auto834",
                          "name" : "工具栏按钮提示[*.EDIT]",
                          "rTMOSFilePath" : "pslanguageres/Auto834",
                          "refFlag" : true
                        },
                        "uIActionMode" : "SYS",
                        "uIActionTag" : "Edit",
                        "uIActionType" : "DEUIACTION"
                      },
                      "addSeparator" : false,
                      "showCaption" : true,
                      "showIcon" : true
                    }, {
                      "detailType" : "DEUIACTION",
                      "name" : "uc365542",
                      "getPSUIAction" : {
                        "actionTarget" : "MULTIKEY",
                        "getCapPSLanguageRes" : {
                          "defaultContent" : "删除",
                          "lanResTag" : "TBB.TEXT.*.REMOVE",
                          "lanResType" : "TBB.TEXT",
                          "mOSFilePath" : "pslanguageres/Auto998",
                          "name" : "工具栏按钮文本[*.REMOVE]",
                          "rTMOSFilePath" : "pslanguageres/Auto998",
                          "refFlag" : true
                        },
                        "caption" : "删除",
                        "codeName" : "Remove",
                        "fullCodeName" : "Remove",
                        "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Remove",
                        "name" : "表格界面_删除操作",
                        "getPSSysImage" : {
                          "glyph" : "xf00d@FontAwesome",
                          "cssClass" : "fa fa-remove"
                        },
                        "predefinedType" : "GRIDVIEW_REMOVEACTION",
                        "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Remove",
                        "timeout" : 60000,
                        "getTooltipPSLanguageRes" : {
                          "defaultContent" : "删除",
                          "lanResTag" : "TBB.TOOLTIP.*.REMOVE",
                          "lanResType" : "TBB.TOOLTIP",
                          "mOSFilePath" : "pslanguageres/Auto1782",
                          "name" : "工具栏按钮提示[*.REMOVE]",
                          "rTMOSFilePath" : "pslanguageres/Auto1782",
                          "refFlag" : true
                        },
                        "uIActionMode" : "SYS",
                        "uIActionTag" : "Remove",
                        "uIActionType" : "DEUIACTION"
                      },
                      "addSeparator" : false,
                      "showCaption" : true,
                      "showIcon" : true
                    } ],
                    "rTMOSFilePath" : "pssysapps/Web/pssysappdeuagroups/mdCtrlAction"
                  },
                  "enableSort" : false
                } ],
                "pagingSize" : 10,
                "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKDataViewExpView/psappviewctrls/dataviewexpbar_dataview",
                "getRemovePSControlAction" : {
                  "modelref" : true,
                  "id" : "remove"
                },
                "getUpdatePSControlAction" : {
                  "modelref" : true,
                  "id" : "update"
                },
                "hasWFDataItems" : false,
                "appendDEItems" : true,
                "enableCardEdit" : false,
                "enableCardEditGroup" : false,
                "enableCardEditOrder" : false,
                "enableCardNew" : false,
                "enableGroup" : true,
                "enablePagingBar" : true,
                "noSort" : false,
                "singleSelect" : false,
                "name" : "dataviewexpbar_dataview",
                "modelid" : "7df8359d40f13e3e8436fdfeafd1845f",
                "modeltype" : "PSDEDATAVIEW"
              } ],
              "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKDataViewExpView/psappviewctrls/dataviewexpbar",
              "xDataControlName" : "dataviewexpbar_dataview",
              "enableCounter" : true,
              "enableSearch" : false,
              "showTitleBar" : true,
              "modelid" : "bb3b65cf9ba40413db60adce27a94db7_dataviewexpbar",
              "modeltype" : "PSEXPBAR"
            } ],
            "getPSDEViewCodeName" : "DataViewExpView",
            "getPSDEViewId" : "118b45ef410f1cb809c4493517faa568",
            "getPSViewLayoutPanel" : {
              "codeName" : "Layoutpanel",
              "controlStyle" : "APPDEDATAVIEWEXPVIEW",
              "controlType" : "VIEWLAYOUTPANEL",
              "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZBOOK/pssysviewlayoutpanels/Layoutpanel",
              "name" : "layoutpanel",
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
              },
              "getPSControlParam" : { },
              "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKDataViewExpView/psappviewctrls/layoutpanel",
              "layoutBodyOnly" : true,
              "layoutPanel" : true,
              "useDefaultLayout" : true
            },
            "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKDataViewExpView",
            "sideBarLayout" : "LEFT",
            "title" : "图书卡片视图导航视图",
            "viewStyle" : "DEFAULT",
            "viewType" : "DEDATAVIEWEXPVIEW",
            "enableDP" : true,
            "enableFilter" : false,
            "enableQuickSearch" : true,
            "showDataInfoBar" : true,
            "modelid" : "bb3b65cf9ba40413db60adce27a94db7",
            "modeltype" : "PSAPPDEVIEW"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "parentDataJO" : {
            "srfparentdename" : "IBIZBOOK",
            "SRFPARENTTYPE" : "CUSTOM"
          },
          "rTMOSFilePath" : "psdeformdetail_druiparts/druipart1",
          "needSave" : false,
          "refreshItemsSetParamOnly" : false,
          "showCaption" : true
        } ],
        "getPSLayout" : {
          "childColLG" : -1,
          "childColMD" : 24,
          "childColSM" : -1,
          "childColXS" : -1,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "rTMOSFilePath" : "psdeformdetail_grouppanels/group1",
        "infoGroupMode" : false,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "childColLG" : -1,
        "childColMD" : 24,
        "childColSM" : -1,
        "childColXS" : -1,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "rTMOSFilePath" : "psdeformdetail_formpages/formpage1",
      "infoGroupMode" : false
    } ],
    "getPSLayout" : {
      "childColLG" : -1,
      "childColMD" : 24,
      "childColSM" : -1,
      "childColXS" : -1,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKUsr4EditView/psappviewctrls/form",
    "getRemovePSControlAction" : {
      "modelref" : true,
      "id" : "remove"
    },
    "tabHeaderPos" : "TOP",
    "getUpdatePSControlAction" : {
      "modelref" : true,
      "id" : "update"
    },
    "noTabHeader" : true,
    "name" : "form",
    "modelid" : "da8edbf42dc640594772b2cb9a4a7040",
    "modeltype" : "PSDEFORM_EDITFORM"
  } ],
  "getPSDEViewCodeName" : "Usr4EditView",
  "getPSDEViewId" : "f055ef40677c40d078701177b5c642eb",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDEEDITVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZBOOK/pssysviewlayoutpanels/Layoutpanel",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
    },
    "getPSControlParam" : { },
    "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKUsr4EditView/psappviewctrls/layoutpanel",
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKUsr4EditView",
  "title" : "图书编辑视图",
  "viewStyle" : "DEFAULT",
  "viewType" : "DEEDITVIEW",
  "xDataControlName" : "form",
  "enableDP" : true,
  "showDataInfoBar" : true,
  "modelid" : "f0e584392d060bfef6ad4cec29f73d0d",
  "modeltype" : "PSAPPDEVIEW"
}